Get a balance statement summary report
curl --request GET \
--url https://api-sandbox.orum.io/deliver/reports/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.orum.io/deliver/reports/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.orum.io/deliver/reports/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance_statement_summary_report": {
"start_time": "2023-07-13T00:00:00.000Z",
"end_time": "2023-07-13T00:00:00.000Z",
"account_balances": {
"opening": {
"pending_amount": 4295,
"available_amount": 4295
},
"closing": {
"pending_amount": 4295,
"available_amount": 4295
}
},
"ledger_entry_balances": [
{
"type": "rtp",
"debit": 4295,
"credit": 4295
}
]
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Reports
Get Balance Statement Summary Report
Get a balance statement summary report for the requested start and end date.
GET
/
deliver
/
reports
/
balances
Get a balance statement summary report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The start time of the report range in ISO-8601 format.
Example:
"2023-07-13T00:00:00.000Z"
The end time of the report range in ISO-8601 format.
Example:
"2023-07-13T00:00:00.000Z"
The scope of the report.
Available options:
total, enterprise, subledger Unique reference id for the subledger resource. Generated by you.
Required string length:
1 - 255Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?